Bug 266001 - Review Request: webunit - Python web testing framework
Summary: Review Request: webunit - Python web testing framework
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-30 01:37 UTC by W. Michael Petullo
Modified: 2010-11-02 16:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-02 16:43:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2007-08-30 01:37:37 UTC
Spec URL: http://www.flyn.org/SRPMS/webunit.spec
SRPM URL: http://www.flyn.org/SRPMS/webunit-0.4-1.src.rpm
Description:
A framework for performing client-side tests of web applications, based on
PyUnit.

Comment 1 Jason Tibbitts 2009-07-17 16:42:49 UTC
I just saw this ticket, which nobody has looked at because you set the fedora-review flag when you submitted it so it never appeared in the review queue.

If you still want to submit this package, please clear the fedora-review tag and bring the package up to today's packaging guidelines.  And you should probably make the package noarch as well, because I can't see any reason for it to be arch-specific.

webunit.x86_64: E: description-line-too-long A framework for performing 
  client-side tests of web applications, based on PyUnit.
webunit.x86_64: W: invalid-license LGPL
webunit.x86_64: E: no-binary
webunit.x86_64: E: non-executable-script 
  /usr/lib/python2.6/site-packages/httpsession.py 0644
webunit-debuginfo.x86_64: W: invalid-license LGPL
webunit-debuginfo.x86_64: E: empty-debuginfo-package

Comment 2 W. Michael Petullo 2009-07-18 00:29:37 UTC
Spec URL: http://www.flyn.org/SRPMS/webunit.spec
SRPM URL: http://www.flyn.org/SRPMS/webunit-0.4-2.fc11.src.rpm

Comment 3 Fabian Affolter 2009-08-03 11:07:38 UTC
Some comment after a quick look at your spec file.

- Don't mix '$RPM_BUILD_ROOT' and '%{buildroot}'
  http://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
- README is missing in %doc
- Is there any note about the license in the source?

Comment 4 Fabian Affolter 2009-09-18 07:25:37 UTC
Mike, do you still want to proceed with this review request?

Comment 5 W. Michael Petullo 2009-09-19 00:00:03 UTC
This project's license is documented as LGPL at http://sourceforge.net/projects/webunit/develop/.

Spec URL: http://www.flyn.org/SRPMS/webunit.spec
SRPM URL: http://www.flyn.org/SRPMS/webunit-0.4-3.fc11.src.rpm

Comment 6 Fabian Affolter 2009-12-23 11:52:50 UTC
- Do you really need 'python_sitearch'?  I guess that this is a left-over from the template.
- Can you please preserve the timestamps in the install section?
  https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

The biggest issue is still the missing license statement.

Comment 7 Fabian Affolter 2009-12-23 13:12:43 UTC
Upstream closed the bug [1] about the license as 'wont fix'.  

[1] https://sourceforge.net/tracker/?func=browse&group_id=20323&atid=120323

Comment 8 W. Michael Petullo 2010-02-14 21:45:40 UTC
Spec URL: http://www.flyn.org/SRPMS/webunit.spec
SRPM URL: http://www.flyn.org/SRPMS/webunit-0.4-4.fc12.src.rpm

- Remove python_sitearch.
- Preserve timestaps when using install.

Comment 9 Steve Traylen 2010-03-05 20:31:20 UTC
I can't see any license statement anywhere? How do you derive that its
LGPLv2

also there some rpmlint errors that can definitely be fixed:

webunit.spec:44: W: macro-in-%changelog %{buildroot}
webunit.src:44: W: macro-in-%changelog %{buildroot}
webunit.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/httpsession.py 0644L /usr/bin/env
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

Comment 10 W. Michael Petullo 2010-03-06 01:35:50 UTC
Spec URL: http://www.flyn.org/SRPMS/webunit.spec
SRPM URL: http://www.flyn.org/SRPMS/webunit-0.4-5.fc12.src.rpm

- Fix macro in changelog
- Chmod httpsession.py 755

As stated in comment #5, the license is noted at the project's SourceForge site.

Comment 11 Steve Traylen 2010-03-21 15:33:25 UTC
Copy and paste messages you sent to and from upstream about the license
as comments into the .spec file.

Then the licensing is clear where it comes from.

Steve.

Comment 12 W. Michael Petullo 2010-03-21 17:46:39 UTC
Spec URL: http://www.flyn.org/SRPMS/webunit.spec
SRPM URL: http://www.flyn.org/SRPMS/webunit-0.4-6.fc12.src.rpm

Comment 13 Thomas Spura 2010-04-26 00:24:09 UTC
To be honest:

Is it worth to get a package into fedora, which is not actively maintained?
(Tarball 8 years old, last commit in svn 4 years old)
Or do you want to become the new maintainer and further improve/develop this?

It looks like this could work on python3 (just looked at the source, untested), maybe you could do a subpackage as described in https://fedoraproject.org/wiki/Packaging:Python

Comment 14 Thomas Spura 2010-10-26 11:50:51 UTC
Ping, I'll close this soon, when no response by the reporter...


Note You need to log in before you can comment on or make changes to this bug.